package empresa.dao;

import com.tecgraf.dao.FacadeJPA;
import com.tecgraf.dao.GenericDAOJPA;
import empresa.negocio.Dependente;

/**
 * Singleton DepartamentoDAO
* 
* 
 * @author Ismael H F Santos
 */
public class DependenteDAO extends GenericDAOJPA<Dependente, Integer> {
    //--------------------------------------------------  
    // Public methods
    //--------------------------------------------------  
    public static synchronized DependenteDAO getInstance( FacadeJPA f ) {
        if( instance == null ) {
            instance = new DependenteDAO(f);
        }
        return instance;
    }
    //--------------------------------------------------  
    // Private constructor
    //--------------------------------------------------  
    private DependenteDAO( FacadeJPA f ) {
        super(Dependente.class, f);
    }
    //--------------------------------------------------  
    // Private atributes
    //--------------------------------------------------  
    private static DependenteDAO instance;    
}
